> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alcamine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an Agent



## OpenAPI

````yaml PATCH /agents/{id}
openapi: 3.1.0
info:
  title: Alcamine API foo
  version: 1.0.0
  description: Alcamine admin API
servers:
  - url: https://api.alcamine.com
    description: Current environment
security:
  - bearerAuth: []
paths:
  /agents/{id}:
    patch:
      tags:
        - Agents
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  maxLength: 255
                description:
                  type:
                    - string
                    - 'null'
                  maxLength: 500
                slug:
                  type: string
                  maxLength: 255
                id:
                  type: string
                  format: cuid2
                version:
                  type: object
                  properties:
                    config:
                      anyOf:
                        - type: object
                          properties:
                            llm:
                              oneOf:
                                - type: object
                                  properties:
                                    provider:
                                      type: string
                                      enum:
                                        - OPENAI
                                    model:
                                      type: string
                                      enum:
                                        - GPT_4O
                                        - GPT_4_1
                                        - GPT_4_1_MINI
                                        - GPT_4O_NANO
                                    temperature:
                                      type: number
                                      minimum: 0
                                      maximum: 2
                                  required:
                                    - provider
                                    - model
                                - type: object
                                  properties:
                                    provider:
                                      type: string
                                      enum:
                                        - GEMINI
                                    model:
                                      type: string
                                      enum:
                                        - GEMINI_2_0_FLASH_001
                                        - GEMINI_2_5_FLASH_PREVIEW_4_17
                                    temperature:
                                      type: number
                                      minimum: 0
                                      maximum: 2
                                  required:
                                    - provider
                                    - model
                            tts:
                              oneOf:
                                - type: object
                                  properties:
                                    provider:
                                      type: string
                                      enum:
                                        - CARTESIA
                                    model:
                                      type: string
                                      enum:
                                        - SONIC_2
                                    voiceId:
                                      type: string
                                      minLength: 1
                                  required:
                                    - provider
                                    - model
                                    - voiceId
                                - type: object
                                  properties:
                                    provider:
                                      type: string
                                      enum:
                                        - ELEVENLABS
                                    model:
                                      type: string
                                      enum:
                                        - MULTILINGUAL_V2
                                    voiceId:
                                      type: string
                                      minLength: 1
                                  required:
                                    - provider
                                    - model
                                    - voiceId
                            stt:
                              oneOf:
                                - type: object
                                  properties:
                                    provider:
                                      type: string
                                      enum:
                                        - DEEPGRAM
                                    model:
                                      type: string
                                      enum:
                                        - NOVA_3
                                  required:
                                    - provider
                                    - model
                                - type: object
                                  properties:
                                    provider:
                                      type: string
                                      enum:
                                        - CARTESIA
                                    model:
                                      type: string
                                      enum:
                                        - INK_WHISPER
                                  required:
                                    - provider
                                    - model
                        - type: 'null'
                        - type: 'null'
                    systemPrompt:
                      type: string
                    knowledgeBaseId:
                      type:
                        - string
                        - 'null'
                      maxLength: 24
                    inputMode:
                      type: array
                      items:
                        type: string
                        enum:
                          - SMS
                          - PHONE
                          - WEB_CHAT
                          - WEB_VOICE
                    followUp:
                      type: boolean
              required:
                - id
                - version
      responses:
        '200':
          description: Update agent
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Agent'
components:
  schemas:
    Agent:
      type: object
      properties:
        id:
          type: string
          maxLength: 24
          format: cuid2
        createdAt:
          anyOf:
            - type: string
              format: date
            - type: string
          format: date-time
          example: '2023-12-25T00:00:00.000Z'
        updatedAt:
          anyOf:
            - type: string
              format: date
            - type: string
          format: date-time
          example: '2023-12-25T00:00:00.000Z'
        createdBy:
          type:
            - string
            - 'null'
          format: cuid2
        updatedBy:
          type:
            - string
            - 'null'
          format: cuid2
        workspaceId:
          type: string
          maxLength: 24
          format: cuid2
        publishedVersionId:
          type:
            - string
            - 'null'
          maxLength: 24
        name:
          type: string
          maxLength: 255
        description:
          type:
            - string
            - 'null'
          maxLength: 500
        slug:
          type: string
          maxLength: 255
        status:
          type: string
          enum:
            - DRAFT
            - ARCHIVED
            - PUBLISHED
            - COMPLETED
        sourceTemplateId:
          type:
            - string
            - 'null'
          maxLength: 24
        archivedAt:
          anyOf:
            - type: string
              format: date
            - type: string
            - type: 'null'
          format: date-time
          example: '2023-12-25T00:00:00.000Z'
        archivedBy:
          type:
            - string
            - 'null'
          maxLength: 24
        completedAt:
          anyOf:
            - type: string
              format: date
            - type: string
            - type: 'null'
          format: date-time
          example: '2023-12-25T00:00:00.000Z'
        completedBy:
          type:
            - string
            - 'null'
          maxLength: 24
        publishedAt:
          anyOf:
            - type: string
              format: date
            - type: string
            - type: 'null'
          format: date-time
          example: '2023-12-25T00:00:00.000Z'
        publishedBy:
          type:
            - string
            - 'null'
          maxLength: 24
        version:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
              maxLength: 24
              format: cuid2
            createdAt:
              anyOf:
                - type: string
                  format: date
                - type: string
              format: date-time
              example: '2023-12-25T00:00:00.000Z'
            updatedAt:
              anyOf:
                - type: string
                  format: date
                - type: string
              format: date-time
              example: '2023-12-25T00:00:00.000Z'
            createdBy:
              type:
                - string
                - 'null'
              format: cuid2
            updatedBy:
              type:
                - string
                - 'null'
              format: cuid2
            agentId:
              type: string
              maxLength: 24
            version:
              type: integer
              minimum: -2147483648
              maximum: 2147483647
            workspaceId:
              type: string
              maxLength: 24
            sourceAgentVersionId:
              type:
                - string
                - 'null'
              maxLength: 24
            themeId:
              type: string
              maxLength: 24
            incentiveType:
              type: string
              enum:
                - CASH
                - NONE
            incentiveAmount:
              type:
                - integer
                - 'null'
              minimum: 100
              maximum: 1000000
            incentiveCurrencyCode:
              type:
                - string
                - 'null'
              enum:
                - USD
            maxParticipants:
              type:
                - integer
                - 'null'
              minimum: -2147483648
              maximum: 2147483647
            length:
              type: string
              enum:
                - FIVE_MINUTES
                - TEN_MINUTES
                - FIFTEEN_MINUTES
                - THIRTY_MINUTES
                - FORTY_FIVE_MINUTES
            languages:
              type: array
              items:
                type: string
                enum:
                  - en
                  - es
                  - fr
            inputMode:
              type: array
              items:
                type: string
                enum:
                  - SMS
                  - PHONE
                  - WEB_CHAT
                  - WEB_VOICE
            knowledgeBaseId:
              type:
                - string
                - 'null'
              maxLength: 24
            followUp:
              type: boolean
            limitToKnowledgeBase:
              type:
                - boolean
                - 'null'
            timezone:
              type:
                - string
                - 'null'
              maxLength: 255
            authentication:
              type: string
              enum:
                - NONE
                - CODE
            agentFlowId:
              type:
                - string
                - 'null'
              maxLength: 24
            config:
              anyOf:
                - type: object
                  properties:
                    llm:
                      oneOf:
                        - type: object
                          properties:
                            provider:
                              type: string
                              enum:
                                - OPENAI
                            model:
                              type: string
                              enum:
                                - GPT_4O
                                - GPT_4_1
                                - GPT_4_1_MINI
                                - GPT_4O_NANO
                            temperature:
                              type: number
                              minimum: 0
                              maximum: 2
                          required:
                            - provider
                            - model
                        - type: object
                          properties:
                            provider:
                              type: string
                              enum:
                                - GEMINI
                            model:
                              type: string
                              enum:
                                - GEMINI_2_0_FLASH_001
                                - GEMINI_2_5_FLASH_PREVIEW_4_17
                            temperature:
                              type: number
                              minimum: 0
                              maximum: 2
                          required:
                            - provider
                            - model
                    tts:
                      oneOf:
                        - type: object
                          properties:
                            provider:
                              type: string
                              enum:
                                - CARTESIA
                            model:
                              type: string
                              enum:
                                - SONIC_2
                            voiceId:
                              type: string
                              minLength: 1
                          required:
                            - provider
                            - model
                            - voiceId
                        - type: object
                          properties:
                            provider:
                              type: string
                              enum:
                                - ELEVENLABS
                            model:
                              type: string
                              enum:
                                - MULTILINGUAL_V2
                            voiceId:
                              type: string
                              minLength: 1
                          required:
                            - provider
                            - model
                            - voiceId
                    stt:
                      oneOf:
                        - type: object
                          properties:
                            provider:
                              type: string
                              enum:
                                - DEEPGRAM
                            model:
                              type: string
                              enum:
                                - NOVA_3
                          required:
                            - provider
                            - model
                        - type: object
                          properties:
                            provider:
                              type: string
                              enum:
                                - CARTESIA
                            model:
                              type: string
                              enum:
                                - INK_WHISPER
                          required:
                            - provider
                            - model
                - type: 'null'
                - type: 'null'
            systemPrompt:
              type: string
          required:
            - id
            - createdAt
            - updatedAt
            - createdBy
            - updatedBy
            - agentId
            - version
            - workspaceId
            - sourceAgentVersionId
            - themeId
            - incentiveType
            - incentiveAmount
            - incentiveCurrencyCode
            - maxParticipants
            - length
            - languages
            - inputMode
            - knowledgeBaseId
            - followUp
            - limitToKnowledgeBase
            - timezone
            - authentication
            - agentFlowId
            - config
      required:
        - id
        - createdAt
        - updatedAt
        - createdBy
        - updatedBy
        - workspaceId
        - publishedVersionId
        - name
        - description
        - slug
        - status
        - sourceTemplateId
        - archivedBy
        - completedBy
        - publishedBy
        - version
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````